%define	oname	passenger

Summary:	Apache module for Ruby on Rails support
Name:		rubygem-%{oname}
Version:	4.0.19
Release:	%mkrel 5
License:	MIT
Group:		Development/Ruby
URL:		http://%{oname}.rubyforge.org/
Source0:	http://rubygems.org/downloads/%{oname}-%{version}.gem
Source1:	mod_passenger.conf
Patch0:		rubygem-passenger-3.0.5-missing-includes.patch
Patch1:		rubygem-passenger-3.0.5-compile-flags.patch
Patch2:         boost-1.48.0-gcc47-pthreads.patch
# drop fastthread req as it is only needed for ruby < 1.8.6
# see here: https://bugzilla.redhat.com/show_bug.cgi?id=846108
Patch3:		rubygem-passenger-3.0.5-drop-fastthread-req.patch
BuildRequires:	ruby-devel ruby-RubyGems apache-devel ruby-rake
BuildRequires:	apache curl-devel
Provides:	apache-mod_passenger = %{version}-%{release}

%description
Passenger is an Apache module for Ruby on Rails support.

%prep
%gem_setup
sed -i -e 's/ruby1.9.1/ruby/' test/stub/rails4.0/bin/*

%build
%define _disable_ld_no_undefined 1
%setup_compile_flags
rake apache2 APXS2=%{_bindir}/apxs OPTIMIZE=yes
%gem_build

%install
install -m0644 %{SOURCE1} -D %{buildroot}%{_httpd_modconfdir}/mod_passenger.conf

%gem_install

install -m 0755 buildout/ruby/ruby-*/passenger_native_support.so -D %{buildroot}%{gem_extdir_mri}/lib/passenger_native_support.so
cp -a buildout/agents %{buildroot}%{gem_extdir_mri}/

install -m755 buildout/apache2/mod_passenger.so -D %{buildroot}%{_httpd_moddir}/mod_passenger.so

# install passenger module configuration file for apache httpd
install -m0644 %{SOURCE1} -D %{buildroot}%{_httpd_modconfdir}/mod_passenger.conf
%{__sed} -i 's|@PASSENGERROOT@|%{gem_instdir}/lib/phusion_passenger/locations.ini|' %{buildroot}%{_httpd_modconfdir}/mod_passenger.conf

# install locations.ini
cat > %{buildroot}%{gem_instdir}/lib/phusion_passenger/locations.ini <<EOF
[locations]
natively_packaged=true
bin_dir=%{_bindir}
agents_dir=%{gem_extdir_mri}/agents
helper_scripts_dir=%{gem_instdir}/helper-scripts
resources_dir=%{gem_instdir}/resources
doc_dir=%{gem_docdir}
ruby_libdir=%{gem_instdir}/..
lib_dir=%{gem_instdir}/lib
include_dir=%{gem_instdir}/include
apache2_module_path=%{_httpd_moddir}
ruby_extension_source_dir=%{gem_instdir}/ruby_extension_source
nginx_module_source_dir=%{gem_instdir}/ngx_http_passenger_module
EOF

%files
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}
%{_bindir}/passenger*
%{_httpd_moddir}/mod_passenger.so
%attr(0644,root,root) %config(noreplace) %{_httpd_modconfdir}/mod_passenger.conf


%changelog
* Tue Dec 31 2013 pterjan <pterjan> 4.0.19-5.mga4
+ Revision: 563546
- Simplify and try to fix things, partially inspired by Mika Laitio

* Sat Dec 28 2013 pterjan <pterjan> 4.0.19-4.mga4
+ Revision: 562644
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 4.0.19-3.mga4
+ Revision: 538364
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 fwang <fwang> 4.0.19-2.mga4
+ Revision: 489444
- remove suffix of ruby binary

* Mon Sep 30 2013 fwang <fwang> 4.0.19-1.mga4
+ Revision: 489432
- new version 4.0.19

* Tue Aug 20 2013 fwang <fwang> 4.0.8-2.mga4
+ Revision: 468488
- helper-scripts is always installed

  + luigiwalser <luigiwalser>
    - use appropriate paths for apache 2.4

* Tue Aug 13 2013 pterjan <pterjan> 4.0.8-1.mga4
+ Revision: 466212
- Fix built files paths

  + luigiwalser <luigiwalser>
    - 4.0.8 (fixes CVE-2013-4136)

* Thu Jun 13 2013 fwang <fwang> 4.0.5-1.mga4
+ Revision: 442369
- update file list
- update file list
- new version 4.0.5

* Mon Feb 18 2013 fwang <fwang> 3.0.18-4.mga3
+ Revision: 399077
- drop fastthread requires as it is not needed with recent ruby

* Fri Feb 08 2013 umeabot <umeabot> 3.0.18-3.mga3
+ Revision: 396639
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.0.18-2.mga3
+ Revision: 382048
- create _libexecdir before creating something in it

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 3.0.18-1.mga3
+ Revision: 312755
- update file list
- update path of apxs2
- new version 3.0.18

* Mon Jul 09 2012 dmorgan <dmorgan> 3.0.5-2.mga3
+ Revision: 268938
- Adapt to new rubygem support in rpm
- Fix build with new boost and gcc 4.7

  + luigiwalser <luigiwalser>
    - 3.0.5 (sync with mdv)
    - fix module configuration to work with systemd (mga #6714)

* Sun Apr 08 2012 luigiwalser <luigiwalser> 2.2.9-4.mga2
+ Revision: 229647
- httpd restart is handled by filetriggers now

* Sun Sep 18 2011 dmorgan <dmorgan> 2.2.9-3.mga2
+ Revision: 144723
- Change apache-base require

* Thu Jun 23 2011 dams <dams> 2.2.9-2.mga2
+ Revision: 112707
- imported package rubygem-passenger

